<?php
require_once plugin_dir_path( __FILE__ ) . 'templateAbstract.php';

class template3 extends TemplateAbstract
{
    protected $titleMaxDefault = 10;

    protected function setCategoriesHtml($categories) {
        $html = '';

        if(count($categories) > 0) {
            $styles = $this->getCategoryStyles();

            $html .= '<div class="spai-hidden"><div class="spai-categories">';
                $category_links_html = [];
                foreach ($categories as $category) {
                    $category_links_html[] = $this->setOneCategoryHtml($category, $styles);
                }
                $html .= implode(' ', $category_links_html);
            $html .= '</div></div>';
        }
        return $html;
    }

    protected function setAdsNotifierHtml()
    {
        return '';
    }

    protected function setHeadingHtml()
    {
        return '';
    }

    protected function setTitleHtml( $title )
    {
        $styles = [];
        if ($this->my_plugin_options['heading_color']) {
            $styles[] = 'color: ' . esc_attr( $this->my_plugin_options['heading_color'] );
        }

        return '<div class="spai-related_post_title spai-hidden" style="' . implode(';', $styles) . '">' . $title . '</div>';
    }

    public function run()
    {
        $template = 3;
        $html = '';
        $main_additional_classes = [];
        $main_additional_classes[] = 'spai-tmpl' . $template;
        $main_additional_classes[] = 'with_cat';
        $main_additional_classes[] = 'with_cat';

        if( $this->data ) {

            $html .= '<div class="spai-widget_content '.implode(' ', $main_additional_classes).'" id="' . $this->hash . '">';
            $html .= $this->setHeadingHtml();
            $html .= '<div class="spai-widget-posts" for_post_id="' . $this->post_id . '" imp_id="' . $this->imp_id . '">';
            foreach ($this->data as $item ) {
                if ($item->type === 'ads') {
                    $extIdHtml = ' ads_id="' . $item->external_id . '"';
                } else {
                    $extIdHtml = ' related_post_id="' . $item->external_id . '"';
                }
                $html .= '<div class="spai-one_related_post" '.$extIdHtml.'>';
                    $html .= '<div class="spai-one_related_post_gradient">';
                        $html .= $this->setImgHtml( $item->img );

                        $title = $this->setTitleMax( $item->title );
                        $titleUrl= $this->setUrlHtml($item->url, $title, $item->type);
                        $html .= $this->setTitleHtml($titleUrl);

                        if ($item->type === 'post') {
                                $html .= $this->setCategoriesHtml($item->categories);
                        } else {
                            $html .= $this->setAdsNotifierHtml();
                        }

                    $html .= '</div>';
                $html .= '</div>';

            }
            $html .= '</div>';
            $html .= '</div>';
        }

        $this->prepareHistoryWindow();

        return $html;
    }

    private function prepareHistoryWindow()
    {
        ?>
        <div class="spai-history-window spai-hidden" id="spai-history-window-<?=$this->hash ?>">
            <div class="spai-history-window-blackout"></div>
            <div class="spai-history-window-content-block-prev">
                <div class="spai-history-window-content-prev">
                    <div class="spai-history-window-image-block">
                        <div class="spai-history-window-image"></div>
                    </div>
                </div>
            </div>

            <div class="spai-history-window-content-block-current">
                <div class="spai-history-window-content">
                    <div class="spai-history-window-top-slider">
                        <div class="spai-history-window-top-slider-runner"></div>
                    </div>
                    <div class="spai-history-window-close-button"></div>
                    <div class="spai-history-window-categories"></div>
                    <div class="spai-history-window-image-block">
                        <div class="spai-history-window-image"></div>
                    </div>
                    <div class="spai-history-window-title-block">
                        <div class="spai-history-window-title"></div>
                    </div>
                    <div class="spai-history-window-prev"></div>
                    <div class="spai-history-window-next"></div>
                </div>
            </div>

            <div class="spai-history-window-content-block-next">
                <div class="spai-history-window-content-next">
                    <div class="spai-history-window-image-block">
                        <div class="spai-history-window-image"></div>
                    </div>
                </div>
            </div>
        </div>
        <?php
    }
}
